Package com.arms.api.requirement.reqadd.service

## Class ReqAddImpl

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl
  - - com.arms.api.requirement.reqadd.service.ReqAddImpl

- All Implemented Interfaces:
    `ReqAdd`, `TreeService`

      @Service("reqAdd")
      public class ReqAddImpl
      extends TreeServiceImpl
      implements ReqAdd

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Chat` | `chat` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReqAddImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ReqAddEntity` | `addReqNode​(ReqAddEntity reqAddEntity, java.lang.String changeReqTableName)` |
    `JiraServerEntity` | `ALM서버_검색​(java.lang.Long ALM서버_아이디)` |
    `JiraProjectEntity` | `ALM프로젝트_검색​(java.lang.Long ALM_프로젝트_아이디)` |
    `ReqAddDetailDTO` | `getDetail​(FollowReqLinkDTO followReqLinkDTO, java.lang.String changeReqTableName)` |
    `java.util.List<요구사항_담당자>` | `getRequirementAssignee​(RequirementDTO requirementDTO)` |
    `ReqAddEntity` | `moveReqNode​(ReqAddEntity reqAddEntity, java.lang.String changeReqTableName, javax.servlet.http.HttpServletRequest request)` |
    `int` | `removeReqNode​(ReqAddEntity reqAddEntity, java.lang.String changeReqTableName, javax.servlet.http.HttpServletRequest request)` |
    `java.lang.Integer` | `updateDataBase​(ReqAddEntity reqAddEntity, java.lang.String changeReqTableName)` |
    `java.lang.Integer` | `updateReqNode​(ReqAddEntity reqAddEntity, java.lang.String changeReqTableName)` |
    `void` | `상태삭제_후_전체_요구사항_상태변경​(java.lang.Long 변경_전_상태아이디, java.lang.Long 변경_후_상태아이디)` |
    `void` | `연결된_버전의_프로젝트별_REQSTATUS_데이터수정​(ReqAddEntity reqAddEntity, java.util.List<ReqStatusEntity> reqStatusEntityList, PdServiceEntity 요구사항_제품서비스, java.lang.String CRUD_타입)` |
    `void` | `연결된_버전의_프로젝트별_REQSTATUS_데이터추가​(ReqAddEntity savedReqAddEntity, java.util.Set<java.lang.Long> 지라프로젝트_아이디_셋, PdServiceEntity 요구사항_제품서비스)` |
    `void` | `요구사항_삭제_이후_상태정보_처리_프로세스​(java.lang.String changeReqTableName, ReqAddEntity reqAddEntity, ReqAddVO reqAddVO)` |
    `void` | `요구사항_상태_디비_업데이트​(ReqAddEntity reqAddEntity, java.lang.String changeReqTableName)` |
    `java.util.List<ReqAddPureEntity>` | `요구사항_상태변경​(java.lang.Long 변경_전_상태아이디, java.lang.Long 변경할_상태아이디)` |
    `void` | `요구사항_생성_이후_상태정보_처리_프로세스​(ReqAddEntity savedReqAddEntity)` |
    `void` | `요구사항_수정_이후_상태정보_처리_프로세스​(java.lang.String changeReqTableName, ReqAddEntity reqAddEntity, ReqAddVO reqAddVO)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl

      `addNode, alterNode, alterNodeType, calculatePosition, cutMyself, enterMyselfFixLeftRight, enterMyselfFromTree, fixPositionParentIdOfCopyNodes, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, newInstance, overwriteNode, pasteMyselfFromTree, removeNode, saveOrUpdateList, searchNode, stretchLeft, stretchLeftRightForMyselfFromTree, stretchPositionForMyselfFromTree, stretchRight, updateField, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Field Detail

    - #### chat

          @Autowired
          protected Chat chat

  - ### Constructor Detail

    - #### ReqAddImpl

          public ReqAddImpl()

  - ### Method Detail

    - #### addReqNode

          @Transactional
          public ReqAddEntity addReqNode​(ReqAddEntity reqAddEntity,
                                         java.lang.String changeReqTableName)
                                  throws java.lang.Exception

      Specified by:
        `addReqNode` in interface `ReqAdd`
      Throws:
        `java.lang.Exception`

    - #### moveReqNode

          @Transactional
          public ReqAddEntity moveReqNode​(ReqAddEntity reqAddEntity,
                                          java.lang.String changeReqTableName,
                                          javax.servlet.http.HttpServletRequest request)
                                   throws java.lang.Exception

      Specified by:
        `moveReqNode` in interface `ReqAdd`
      Throws:
        `java.lang.Exception`

    - #### removeReqNode

          @Transactional
          public int removeReqNode​(ReqAddEntity reqAddEntity,
                                   java.lang.String changeReqTableName,
                                   javax.servlet.http.HttpServletRequest request)
                            throws java.lang.Exception

      Specified by:
        `removeReqNode` in interface `ReqAdd`
      Throws:
        `java.lang.Exception`

    - #### getDetail

          public ReqAddDetailDTO getDetail​(FollowReqLinkDTO followReqLinkDTO,
                                           java.lang.String changeReqTableName)
                                    throws java.lang.Exception

      Specified by:
        `getDetail` in interface `ReqAdd`
      Throws:
        `java.lang.Exception`

    - #### updateReqNode

          @Transactional
          public java.lang.Integer updateReqNode​(ReqAddEntity reqAddEntity,
                                                 java.lang.String changeReqTableName)
                                          throws java.lang.Exception

      Specified by:
        `updateReqNode` in interface `ReqAdd`
      Throws:
        `java.lang.Exception`

    - #### updateDataBase

          @Transactional
          public java.lang.Integer updateDataBase​(ReqAddEntity reqAddEntity,
                                                  java.lang.String changeReqTableName)
                                           throws java.lang.Exception

      Specified by:
        `updateDataBase` in interface `ReqAdd`
      Throws:
        `java.lang.Exception`

    - #### 요구사항_상태_디비_업데이트

          public void 요구사항_상태_디비_업데이트​(ReqAddEntity reqAddEntity,
                                      java.lang.String changeReqTableName)
                               throws java.lang.Exception

      Specified by:
        `요구사항_상태_디비_업데이트` in interface `ReqAdd`
      Throws:
        `java.lang.Exception`

    - #### getRequirementAssignee

          public java.util.List<요구사항_담당자> getRequirementAssignee​(RequirementDTO requirementDTO)

      Specified by:
        `getRequirementAssignee` in interface `ReqAdd`

    - #### 요구사항_생성_이후_상태정보_처리_프로세스

          public void 요구사항_생성_이후_상태정보_처리_프로세스​(ReqAddEntity savedReqAddEntity)
                                       throws java.lang.Exception

      Specified by:
        `요구사항_생성_이후_상태정보_처리_프로세스` in interface `ReqAdd`
      Throws:
        `java.lang.Exception`

    - #### 연결된_버전의_프로젝트별_REQSTATUS_데이터추가

          public void 연결된_버전의_프로젝트별_REQSTATUS_데이터추가​(ReqAddEntity savedReqAddEntity,
                                                    java.util.Set<java.lang.Long> 지라프로젝트_아이디_셋,
                                                    PdServiceEntity 요구사항_제품서비스)
                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### 요구사항_수정_이후_상태정보_처리_프로세스

          public void 요구사항_수정_이후_상태정보_처리_프로세스​(java.lang.String changeReqTableName,
                                              ReqAddEntity reqAddEntity,
                                              ReqAddVO reqAddVO)
                                       throws java.lang.Exception

      Specified by:
        `요구사항_수정_이후_상태정보_처리_프로세스` in interface `ReqAdd`
      Throws:
        `java.lang.Exception`

    - #### 요구사항_삭제_이후_상태정보_처리_프로세스

          public void 요구사항_삭제_이후_상태정보_처리_프로세스​(java.lang.String changeReqTableName,
                                              ReqAddEntity reqAddEntity,
                                              ReqAddVO reqAddVO)
                                       throws java.lang.Exception

      Specified by:
        `요구사항_삭제_이후_상태정보_처리_프로세스` in interface `ReqAdd`
      Throws:
        `java.lang.Exception`

    - #### 연결된_버전의_프로젝트별_REQSTATUS_데이터수정

          public void 연결된_버전의_프로젝트별_REQSTATUS_데이터수정​(ReqAddEntity reqAddEntity,
                                                    java.util.List<ReqStatusEntity> reqStatusEntityList,
                                                    PdServiceEntity 요구사항_제품서비스,
                                                    java.lang.String CRUD_타입)
                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### ALM프로젝트_검색

          public JiraProjectEntity ALM프로젝트_검색​(java.lang.Long ALM_프로젝트_아이디)

    - #### ALM서버_검색

          public JiraServerEntity ALM서버_검색​(java.lang.Long ALM서버_아이디)

    - #### 상태삭제_후_전체_요구사항_상태변경

          @Async
          public void 상태삭제_후_전체_요구사항_상태변경​(java.lang.Long 변경_전_상태아이디,
                                          java.lang.Long 변경_후_상태아이디)
                                   throws java.lang.Exception

      Specified by:
        `상태삭제_후_전체_요구사항_상태변경` in interface `ReqAdd`
      Throws:
        `java.lang.Exception`

    - #### 요구사항_상태변경

          @Transactional
          public java.util.List<ReqAddPureEntity> 요구사항_상태변경​(java.lang.Long 변경_전_상태아이디,
                                                            java.lang.Long 변경할_상태아이디)
                                                     throws java.lang.Exception

      Specified by:
        `요구사항_상태변경` in interface `ReqAdd`
      Throws:
        `java.lang.Exception`